package com.goafanti.common.model;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.goafanti.common.utils.Param;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Date;


/**
 * 营销团队(SalesTeam)实体类
 *
 * @author makejava
 * @since 2024-12-17 10:35:48
 */
public class SalesTeam implements Serializable {
    private static final long serialVersionUID = -29387315654659431L;
    /**
     * id
     */
    private Integer id;
    /**
     * 团队名称
     */
    @NotNull
    @Param(name = "团队名称")
    private String name;
    /**
     * 团队队长编号
     */
    private String aid;
    /**
     * 等级 0=无，1=一级，2=二级，3=三级
     */
    private Integer lvl;
    /**
     * 部门编号
     */
    @NotNull
    @Param(name = "部门编号")
    private String depId;
    /**
     * 上级团队
     */
    private Integer superId;
    /**
     * 状态 0=正常，1=解散
     */
    private Integer status;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 祖级列表
     */
    private String ancestors;


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getAid() {
        return aid;
    }

    public void setAid(String aid) {
        this.aid = aid;
    }

    public Integer getLvl() {
        return lvl;
    }

    public void setLvl(Integer lvl) {
        this.lvl = lvl;
    }

    public String getDepId() {
        return depId;
    }

    public void setDepId(String depId) {
        this.depId = depId;
    }

    public Integer getSuperId() {
        return superId;
    }

    public void setSuperId(Integer superId) {
        this.superId = superId;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getAncestors() {
        return ancestors;
    }

    public void setAncestors(String ancestors) {
        this.ancestors = ancestors;
    }

}

